# Scribus-for-Stickers

# What this does

Print preparation of vectorized stickers for print services using only
FOSS tools. The method can be easily adapted for other print houses, but
(I use wirmachendruck.de)

# Tools used

## Scribus

Version 1.5.8

## Environment tested in

Manjaro Linux

# Outline of workflow

## 1. Things you need

-   A vector graphic you want to print. If you want your stickers
    contour cut the graphic will need a path for your cut contour, if
    you want white print you need paths for the areas to be filled in
    white, the same goes for effect colours. Keep in mind that normal
    colors (CMYK), white, and effect- or special colors are printed in a
    certain order. If any of the elements you plan to use for this in
    your SVG overlap you may need to fix that. (Unless for example you
    have a transparent sticker with white print on the backside.)

-   Print data specifications or the service you will be using
    containing bleed areas, margins etc.

## 2. Scribus

Open Scribus

### Creating a new file

1.  You will be greeted with a prompt for creating a new document.
    -   If not in the menu bar click: **File → New**
2.  In the top left select **Single Page** (should already be selected),
3.  Enter the final dimensions of your sticker in the top right.
4.  In the bottom left, enter the **Margins** (**Margin Guides**-Tab,
    open by default) and
5.  **Bleed areas** (in the **Bleeds**-Tab) Keep everything the same
    otherwise.
6.  Klick **OK**

### Importing a vector image

1.  In the menu bar click **File → Import → Get Vector File...**
2.  Click on the page/canvas to paste the image.
3.  Position and size it according to your needs. (Hint:
    The blue frame on your shows the **Margins**, the red one the
    **Bleeds**)

### Adding custom color channels for white print, contour cut, and effect colours.

1.  In the menu bar click **Edit → Colors and Fills...** to open the
    \"Colors and Fills...\" window.
2.  In the window titled **Colors and Fills...** click the button
    **Add** on the right, 2nd from the top.
3.  [Name]{.underline} the color (that name goes into the output PDF),
    assign it a (display) color (same with the PDF here), and check the
    checkbox **Is Spot Color**.
4.  Preparation for adding white print/cut contour/effect colours:
    1.  Ungroup your vector image. To do this **right click** on your
        image and select **Ungroup** Repeat this step on the subgroups
        until the desired elements to fill are available individually.
        The same goes for your cut contour.

1.  Converting regions from SVGs to white print or effect color.

    1.  Select the elements/paths to print in white, **right click** on
        the selection, and select **Properties** in the context menu.
    2.  In the now open **Properties** panel (normally opens on the left
        side of the window) select the category **Colors**. If the
        category **Colors** is greyed out you might still have a group
        in your selection, which you need to change (as described
        above).
    3.  In **Colours**, select the tab **Fill**.
    4.  From the list of colors select the one you made for that purpose
        earlier. (As you have selected the \"Is Spot Color\"-option, it
        will have a red dot next to it, making it easy to find.)
    5.  If your elements/paths have outlines you can use the **Stroke**
        tab to either set them to the same color or remove them by
        setting them to **None** (1st entry in list).
    6.  Underneath the list of colors is a setting named
        **Overprinting** Unless otherwise specified set it to
        **Knockout**

2.  Converting paths from SVGs to cut contour.

    1.  **As above**
    2.  **As above**
    3.  In **Colours**, select the tab **Stroke**.
    4.  From the list of colors select the one you made for that purpose
        earlier. (As you have selected the \"Is Spot Color\"-option, it
        will have a red dot next to it, making it easy to find.)
    5.  If your path has a fill you should now select the **Fill** tab
        to set it to **None** to remove it.
    6.  Underneath the list of colors is a setting named
        **Overprinting** Unless otherwise specified set it to
        **Knockout**
    7.  Now select the category **Line**
    8.  Unless otherwise specified set the value of **Line Width** to
        \"0\". (It will be replaced by the word **Hairline**)

### Exporting to PDF (If that is what you need)

All of these apply if not otherwise specified.

1.  In the Menu bar select **Save** → **Export** → **Save as PDF...**
2.  In the tab **General** (open by default)
3.  Under the header **Export Options** uncheck **Compress
    Text and Vector Graphics**
4.  Under the header **File Options** set **Compatibility** to the type
    of PDF you need. (Likely PDF/X-3, which is common in printing.)
5.  Under the header **Image Quality Options** set **Compression** to
    **None** and set the **Maximum Image Resolution**.
6.  In the tab **Fonts** under the header **Embedding** for **Embedding
    Mode** select **Outline all Fonts**.
7.  In the tab **Colors** uncheck **Convert Spot Colors to
    Process Colors**.
8.  If, you are using PDF/X-3, in the tab **Pre-Press** under the header
    **PDF/X Output Intent** set the output color profile (**Output
    Profile**).
9.  **Save**

### You\'re done

## Addendum

There is also the posibility of globally substituting colors, I however
went with this alternative because it is more capable and
straightforward. Also some Services might need things to be on certain
layers, something I have not covered here.
